package com.seatel.mobilehall.ui.usage.model;

/**
 * Created by ryansoy on 2/12/18.
 */

public class BilingDetailModel {

    private String  date;
    private String phone;
    private String typeInternet;
    private Double duration;
    private Double cost;
    private Double used;
    private Double totalDuraction;
    private Double totalInternetUsed;
    private Double totalSMSUsed;
    private Double totalCost;
    private Double totalOffNetDuration;
    private Double totalInNetDuration;
    private Double totalInNetCost;
    private Double totalOffNetCost;
    private String planType;

    public BilingDetailModel(){
        totalDuraction = 0.0;
        totalInternetUsed = 0.0;
        totalSMSUsed = 0.0;
        totalCost = 0.0;
        totalOffNetDuration = 0.0;
        totalInNetDuration = 0.0;
        totalInNetCost = 0.0;
        totalOffNetCost = 0.0;
    }

    public BilingDetailModel(String date, String phone, Double duration, Double cost, Double used) {
        this.date = date;
        this.phone = phone;
        this.duration = duration;
        this.cost = cost;
        this.used = used;
    }

    public String getTypeInternet() {
        return typeInternet;
    }

    public void setTypeInternet(String typeInternet) {
        this.typeInternet = typeInternet;
    }

    public String getDate() {
        return date;
    }

    public Double getDuration() {
        return duration;
    }

    public String getPhone() {
        return phone;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public void setDuration(Double duration) {
        this.duration = duration;
    }

    public Double getCost() {
        return cost;
    }

    public Double getUsed() {
        return used;
    }

    public void setCost(Double cost) {
        this.cost = cost;
    }

    public void setUsed(Double used) {
        this.used = used;
    }

    public void setTotalCost(Double totalCost) {
        this.totalCost = totalCost;
    }

    public void setTotalInternetUsed(Double totalInternetUsed) {
        this.totalInternetUsed = totalInternetUsed;
    }

    public void setTotalSMSUsed(Double totalSMSUsed) {
        this.totalSMSUsed = totalSMSUsed;
    }

    public void setTotalDuraction(Double totalDuraction) {
        this.totalDuraction = totalDuraction;
    }

    public Double getTotalSMSUsed() {
        return  totalSMSUsed;
    }

    public Double getTotalCost() {
        return totalCost;
    }

    public Double getTotalDuraction() {
        return totalDuraction;
    }

    public Double getTotalInternetUsed() {
        return totalInternetUsed;
    }

    public Double getTotalOffNetDuration() {
        return totalOffNetDuration;
    }

    public Double getTotalInNetDuration() {
        return totalInNetDuration;
    }

    public Double getTotalInNetCost() {
        return totalInNetCost;
    }

    public Double getTotalOffNetCost() {
        return totalOffNetCost;
    }

    public void setTotalOffNetDuration(Double totalOffNetDuration) {
        this.totalOffNetDuration = totalOffNetDuration;
    }

    public void setTotalInNetDuration(Double totalInNetDuration) {
        this.totalInNetDuration = totalInNetDuration;
    }

    public void setTotalInNetCost(Double totalInNetCost) {
        this.totalInNetCost = totalInNetCost;
    }

    public void setTotalOffNetCost(Double totalOffNetCost) {
        this.totalOffNetCost = totalOffNetCost;
    }

    public String getPlanType() {
        return planType;
    }

    public void setPlanType(String planType) {
        this.planType = planType;
    }
}
